# Get Roles

> Source: https://truto.one/docs/api-reference/unified-user-directory-api/roles/get/

`GET /unified/user-directory/roles/{id}`

Resource: **Roles** · API: **Unified User Directory API**

## Supported integrations

Adobe Marketo Engage, Apache Airflow, Auth0, Avigilon Alta, BigPanda, Boomi, Close, CrowdStrike, Datadog, dbt Labs, Domo, Freshdesk, Freshservice, Google Cloud, Harness, HelloID, JFrog, Jira, Jira Service Management, Kommo, LaunchDarkly, Oracle Netsuite, New Relic, OneLogin, Opsgenie, Oracle Fusion Cloud, Oracle Fusion Cloud Financials, Outreach, Pipedrive, Qlik Sense, Rockset, SailPoint IdentityIQ SCIM, SailPoint Identity Security Cloud, Salesforce, Salesloft, Sisense, SolarWinds Service Desk, Sophos, UiPath, Webex, Workato, Zoho CRM, Zoom

## Path parameters

- **`id`** _(string, required)_
  The ID of the resource.

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`workspace_id`** _(unknown)_
- **`group_id`** _(unknown)_

## Response body

- **`id`** _(string, required)_
  The unique identifier for a role
- **`name`** _(string)_
  The name of the role
- **`label`** _(string)_
  The display label of the role
- **`description`** _(string)_
  The description of the role
- **`type`** _(string)_
  The type of the role
- **`applicable_in`** _(string)_
  The context in which the role is applicable
  Allowed: `group`, `workspace`
- **`created_at`** _(string)_
  The date and time the role was created
- **`updated_at`** _(string)_
  The date and time the role was last updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/user-directory/roles/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/user-directory/roles/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/user-directory/roles/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'user-directory',
  'roles',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "user-directory",
        "roles",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
